yaze(1)

NAME
yaze - yet another z80 emulator

SYNOPSIS
yaze [-v] [-bbootfile] [-lloadadr] [-pbasepage] [-sstartup] [-zZ3ENV] command...

DESCRIPTION
yaze is designed to provide an exact simulation of the Z80 microprocessor on a Unix system. In addition to the instruction-set emulator, a CP/M basic i/o system is provided that can reference Unix directories and Unix files containing images of CP/M disks. When a genuine CP/M operating system (ccp + bdos) or a clone system is loaded into the emulator, a complete CP/M system is available, running on a Unix host. The complete documentation is contained in the file yaze.doc.

OPTIONS

-v  causes a summary of the system configuration to be displayed after loading.

-b  gives the name of a file to be loaded into the emulated processor's ram before the emulation is started. The file is loaded at the address given by the -l option, if one is present, or else at the basepage (see -p). If a bootfile is not specified with the -b option, yaze looks for the file yaze.boot in the current directory first, then in /usr/local/lib.

-l  the hexadecimal address at which to load and start the bootstrap file, if a separate bootstrap is necessary.

-p  the top 2 hex digits of the location of the CP/M console command processor. Also the location to which bootfile is loaded if a -l option is not present.

-s  a file containing monitor commands that are to be executed before starting the emulator. If no -s option is present, .yazerc from the current directory or from the user's home directory is taken.

-z  the hexadecimal address in the emulated processor's ram of a 1KByte area that should be reserved for use by an extended CP/M clone such as ZCPR3.

MONITOR COMMANDS
When the emulator is started it executes commands first from the startup file, then from the tail of the command line (any strings which follow the options) and then from the tty if neither the startup file nor the command line included a "go" command. Control can be returned to the monitor by executing the CP/M sys.com command or, if yaze was compiled with -DDEBUG, by sending it a SIGINT signal. Command names can be shortened to a unique abbreviation. If yaze was compiled with GNU Readline, command-line editing, filename completion and history recall are available - see the readline documentation. The monitor commands are described in more detail in the file yaze.doc.

help
    Display a command list

help cmd
    Give details about cmd

attach
    Attach CP/M device to a Unix file

detach
    Detach CP/M device from file

mount
    Mount a Unix file or directory as a CP/M disk

umount
    Unmount a CP/M disk

create
    Create a new disk

interrupt
    Set user interrupt key

go  Start/Continue CP/M execution

!   Execute a Unix command

quit
    Terminate yaze

time
    Display elapsed time since last `time' command

SEE ALSO
cdm(1)

AUTHOR
Frank D. Cringle (fdc@cliwe.ping.de).